Avisos
Vaciar todo

¿Puede dar problemas usar MySQLi en lugar de MySQL?  

 
Alceste
 Alceste
Noble Member

Hola,
Al pasar un clon a producción tras actualizar a Joomla 3.5.1 y pedir el tipo de base de datos se hizo con MySQLi porqué aparecía marcado como preferido, pero es posible que en la instalación vieja estuviera con MySQL. Estoy teniendo varios problemas y me preguntaba si esta puede ser la causa ¿Es posible? En dicho caso, ¿se puede hacer la prueba de seleccionar en la configuración global la base de datos de MySQLi a MySQL para ver si se resuelven o es mejor no tocar esto?
Saludos y gracias

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 25/05/2016 12:12 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Alceste
MySQL se considera obsoleto ya que la librería que utiliza esta conexión es obsoleta y por lo tanto se le ha dejado de dar soporte, solo es valida hasta la versión 4.1.3.

MySQL se utilizaba Cuando la versión de la base de datos era menor a 4.1.3 o la versión de PHP menor a la 5.0

Un saludo

ResponderCitar
Respondido : 25/05/2016 1:28 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Alceste
 Alceste
Noble Member

Hola, entonces planteo la pregunta inversa porqué en la otra web estoy usando MySQL. ¿Debo seleccionar MySQLi en lugar de MySQL? Las versiones son las mismas Joomla 3.5.1 y VM 3.0.16

Saludos y gracias

ResponderCitar
Respondido : 25/05/2016 2:37 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Alceste.
¿Debo seleccionar MySQLi en lugar de MySQL?
Tendrías que trabajar en MySQLi, la versión de MySQL utiliza unas librerías distintas y puede dar problemas al igual que por seguridad.

Un saludo

ResponderCitar
Respondido : 25/05/2016 3:23 pm

Cursos Gratuitos WordPress